Loading...
Searching...
No Matches
BALL::PharmacophoreConstraint Class Reference

`#include <BALL/DOCKING/COMMON/constraints.h>`

Inheritance diagram for BALL::PharmacophoreConstraint:

## Public Member Functions

| PharmacophoreConstraint (list< const AtomContainer * > &container_list, const list< String > &interaction_types, double desired_interaction_score, double penalty)
| PharmacophoreConstraint (const AtomContainer *container, const list< String > &interaction_types, double desired_interaction_score, double penalty)
| PharmacophoreConstraint (const PharmacophoreConstraint &phC)
| ~PharmacophoreConstraint ()
| PharmacophoreConstraint (vector< String > &residue_IDs, const list< String > &interaction_types, double desired_interaction_score, double penalty)
void | setScoringFunction (ScoringFunction *sf)
double | calculateScore (AtomContainer *mol)
double | getInteractionScore ()
bool | usesReceptorResidues ()
AtomContainer * | getGridContainer ()
const list< String > * | getInteractionTypes ()
const list< const AtomContainer * > * | getInteractionPartners ()
Public Member Functions inherited from BALL::Constraint
| Constraint ()
virtual | ~Constraint ()
virtual void | setName (String name)
String | getName ()
String | getType ()

## Friends

class | BALL::DockingAlgorithm
class | BALL::VIEW::DockRLDialog

## Additional Inherited Members

Protected Attributes inherited from BALL::Constraint
String | name_
String | type_
double | penalty_
ScoringFunction * | scoring_function_

## Detailed Description

PharmacophoreConstraint allow to define specific intermolecular interactions that should exist between receptor and ligand.
If those interactions do not exist or are too weak (i.e. have a score that is not good enough), a penalty score is calculated and used by ScoringFunction::updateScore() if this PharmacophoreConstraint has been added to ScoringFunction::constraints.
In order to be able to evaluate the ligand's interactions with the specified atoms, the pairwise interactions have to be stored. Use ScoringFunction::enableStoreInteractions() to allow this.

Definition at line 144 of file constraints.h.

## Constructor & Destructor Documentation

## PharmacophoreConstraint() [1/4]

BALL::PharmacophoreConstraint::PharmacophoreConstraint | ( | list< const AtomContainer * > & | container_list,
|  | const list< String > & | interaction_types,
|  | double | desired_interaction_score,
|  | double | penalty )

## PharmacophoreConstraint() [2/4]

BALL::PharmacophoreConstraint::PharmacophoreConstraint | ( | const AtomContainer * | container,
|  | const list< String > & | interaction_types,
|  | double | desired_interaction_score,
|  | double | penalty )

## PharmacophoreConstraint() [3/4]

BALL::PharmacophoreConstraint::PharmacophoreConstraint | ( | const PharmacophoreConstraint & | phC | ) |

## ~PharmacophoreConstraint()

BALL::PharmacophoreConstraint::~PharmacophoreConstraint | ( |  | ) |

## PharmacophoreConstraint() [4/4]

BALL::PharmacophoreConstraint::PharmacophoreConstraint | ( | vector< String > & | residue_IDs,
|  | const list< String > & | interaction_types,
|  | double | desired_interaction_score,
|  | double | penalty )

Constructor for initializing a PharmacophoreConstraint with a list of residue-IDs.
If using this constructor, the ScoringFunction for this object must be set by setScoringFunction() before calling calculateScore() for the first time. If the receptor that is used by this ScoringFunction is not a Protein or does not have residues for all the specified IDs, setScoringFunction() will throw an exception.

## Member Function Documentation

## calculateScore()

double BALL::PharmacophoreConstraint::calculateScore | ( | AtomContainer * | mol | ) |

virtual

calculates a penalty for the given AtomContainer

Implements BALL::Constraint.

## getGridContainer()

AtomContainer * BALL::PharmacophoreConstraint::getGridContainer | ( |  | ) |

## getInteractionPartners()

const list< const AtomContainer * > * BALL::PharmacophoreConstraint::getInteractionPartners | ( |  | ) |

## getInteractionScore()

double BALL::PharmacophoreConstraint::getInteractionScore | ( |  | ) |

returns the interaction-score between the ligand and the desired receptor-atoms as calculated during the last call of calculateScore()

## getInteractionTypes()

const list< String > * BALL::PharmacophoreConstraint::getInteractionTypes | ( |  | ) |

## setScoringFunction()

void BALL::PharmacophoreConstraint::setScoringFunction | ( | ScoringFunction * | sf | ) |

virtual

Reimplemented from BALL::Constraint.

## usesReceptorResidues()

bool BALL::PharmacophoreConstraint::usesReceptorResidues | ( |  | ) |

## Friends And Related Symbol Documentation

## BALL::DockingAlgorithm

friend class BALL::DockingAlgorithm

friend

Definition at line 193 of file constraints.h.

## BALL::VIEW::DockRLDialog

friend class BALL::VIEW::DockRLDialog

friend

Definition at line 194 of file constraints.h.